/*                                             -*- c-file-style: "Ellemtel" -*-

`wait_on_child.c' - Hack for testing director (ignore!)

This file is part of version 3 of the Sample agent program for director.
Read the `License' file for terms of use and distribution.
Copyright 2001, Canada-France-Hawaii Telescope, daprog@cfht.hawaii.edu.

___This header automatically generated from `Index'. Do not edit it here!___ */

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <sys/wait.h>

#include "cli/cli.h" /* For TEMP_FAILURE_RETRY() */

#ifndef WAIT_MYPGRR
#define WAIT_MYPGRP 0
#endif

void
wait_on_child(void)
{
   int status;
   
   printf("status: directest waiting on child...\n");
   switch (TEMP_FAILURE_RETRY(waitpid(WAIT_MYPGRP, &status, WUNTRACED)))
   {
      case -1: if (errno==ECHILD)
	printf("Already waited on...ok.\n");
      else
	perror("waitpid");
      return;
      case 0: printf("Not in my process group...ok.\n");
      return;
      default:
      {
	 if (!WIFEXITED(status))
	 {
	    if (WIFSIGNALED(status))
	    {
	       fprintf(stderr, "error: program exited on signal #%d\n",
		       WTERMSIG(status));
	       return;
	    }
	    else if (WIFSTOPPED(status))
	    {
	       fprintf(stderr, "error: program stopped\n");
	       return;
	    }
	    else
	    {
	       fprintf(stderr, "error: unknown problem with child process\n");
	       return;
	    }
	 }
	 else
	 {
	    if (WEXITSTATUS(status)!=EXIT_SUCCESS)
	    {
	       if (WEXITSTATUS(status)==127)
	       {
		  fprintf(stderr, "error: failed to execute\n");
	       }
	       else
	       {
		  fprintf(stderr, "error: not successful (exitcode %d)\n", 
			  WEXITSTATUS(status));
	       }
	       return;
	    }
	    /* else, normally exiting child... */
	    return;
	 }
      }
   }
}
