/*                                             -*- c-file-style: "Ellemtel" -*-

`cli_runon.c' - cli_runon alternative to remsh, the library version

This file is part of version 3 of the DIRECTOR cli client library.
Read the `License' file for terms of use and distribution.
Copyright 2001, Canada-France-Hawaii Telescope, daprog@cfht.hawaii.edu.

___This header automatically generated from `Index'. Do not edit it here!___ */

#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <string.h>
#include <ctype.h>
#include <fcntl.h>
#include <signal.h>
#include <sys/types.h>
#include <sys/wait.h>
#ifndef VXWORKS
#include <sys/param.h>
#endif
#include <sys/stat.h>
#ifndef VXWORKS
#include <sys/time.h>
#endif
#include <errno.h>

#include "cli.h"

/*
 * None of this is available under VxWorks.
 */
#ifndef VXWORKS
#define CLI_RUNON_ENV "CLI_RUNON"
/*
 * This variable is used to prevent infinited recursion in cli_runon.
 */

void
cli_runon(const char* hostname, int raw, int argc, const char* argv[])
{
   static char cli_runon[500];
   char* cli_runon_cur = getenv(CLI_RUNON_ENV);
   const char** remsh_argv;
   int i, j=0;

   if (cli_runon_cur && strcmp(cli_runon_cur, hostname)==0)
   {
      fprintf(stderr, "cli_runon() in an endless loop?\n");
      return;
   }

   sprintf(cli_runon, CLI_RUNON_ENV"=%.400s", hostname);
   putenv(cli_runon);
   
   remsh_argv = (const char**)malloc((argc+4)*sizeof(char**));
   remsh_argv[j++] = "runon";
   if (raw) remsh_argv[j++] = "-r";
   remsh_argv[j++] = hostname;
   for (i=0; i<argc; i++)
      remsh_argv[j++] = argv[i];
   remsh_argv[j] = 0;

   execv("/usr/local/bin/runon", (char**)remsh_argv);
   perror("execv of runon failed");
}
#endif

/* End of cli_runon.c */
