/*                                             -*- c-file-style: "Ellemtel" -*-

`clidefs.h' - Defines for prompts + keys (libcfht, agents, director)

This file is part of version 3 of the DIRECTOR cli client library.
Read the `License' file for terms of use and distribution.
Copyright 2001, Canada-France-Hawaii Telescope, daprog@cfht.hawaii.edu.

___This header automatically generated from `Index'. Do not edit it here!___ */

#ifndef _INCLUDED_clidefs
#define _INCLUDED_clidefs 1

#define DIRECTOR_ENV         "DIRECTOR"
/*
 * This environment variable is set to the director major version number
 * by director itself, before running any agent.  Libcli checks to
 * see this is set before allowing clients to execute.  Libcfht also
 * checks this to decide what style logging to use.
 */

#define DIRECTOR_LEVEL_ENV   "DIRECTOR_LEVEL"
/*
 * This is used between director and clicmd to keep track of recursion.
 * Commands and scripts run from the top level have DIRECTOR_LEVEL=1,
 * but if such a script uses clicmd (either the shell command or the
 * C interface) that command will have DIRECTOR_LEVEL=2, so that director
 * knows the command is a branch of the currently running command, and
 * not a new command in the toplevel queue. (Without this, commands would
 * not always be executed in the correct order.)
 */

/*
 * Special modifier characters that may appear in front of commands:
 */
#define CHARS_SPECIAL   "*@-!"
#define CHAR_NO_WAIT	'*'
#define CHAR_NO_ECHO    '@'
#define CHAR_NO_FAIL    '-'
#define CHAR_SYSTEM_ESC '!'
/*
 * Any command lines starting with CHAR_SYSTEM_ESC will be interpreted
 * as shell-escapes and the rest of the arguments are passed to /bin/sh
 */

/*
 * Default prompts and special builtin commands:
 */
#define DEFAULT_PROMPT        "> "
#define DEFAULT_OK_PROMPT     "ok>"
#define DEFAULT_FAILED_PROMPT "failed>"
#define DEFAULT_CONT_PROMPT   "cont>"
#define DIRECTOR_SOURCE       "source"
#define DIRECTOR_SOURCE_LEN   6
#define DIRECTOR_CLICMD       "clicmd"
#define DIRECTOR_CLICMD_LEN   6

/*
 * Log message type translations to cfht_log types, string keys and lengths.
 */

#define START_LOG CLI_LOG_START
#define START_KEY "start:"
#define START_MSG "start: "
#define START_KEY_LEN 6
#define START_MSG_LEN 7

#define DONE_LOG CLI_LOG_DONE
#define DONE_KEY "done:"
#define DONE_MSG "done: "
#define DONE_KEY_LEN 5
#define DONE_MSG_LEN 6

#define ERROR_LOG CLI_LOG_ERROR
#define ERROR_KEY "error:"
#define ERROR_MSG "error: "
#define ERROR_KEY_LEN 6
#define ERROR_MSG_LEN 7

#define WARNING_LOG CLI_LOG_WARNING
#define WARNING_KEY "warning:"
#define WARNING_MSG "warning: "
#define WARNING_KEY_LEN 8
#define WARNING_MSG_LEN 9

#define STATUS_LOG CLI_LOG_STATUS
#define STATUS_KEY "status:"
#define STATUS_MSG "status: "
#define STATUS_KEY_LEN 7
#define STATUS_MSG_LEN 8

#define LOGONLY_LOG CLI_LOG_VERBOSE
#define LOGONLY_KEY "logonly:"
#define LOGONLY_MSG "logonly: "
#define LOGONLY_KEY_LEN 8
#define LOGONLY_MSG_LEN 9

#define DEBUG_LOG CLI_LOG_DEBUG
#define DEBUG_KEY "debug:"
#define DEBUG_MSG "debug: "
#define DEBUG_KEY_LEN 6
#define DEBUG_MSG_LEN 7

#define PROGRESS_KEY "progress:"
#define PROGRESS_MSG "progress: "
#define PROGRESS_KEY_LEN 9
#define PROGRESS_MSG_LEN 10

#define STATUSBAR_KEY "statusbar:"
#define STATUSBAR_MSG "statusbar: "
#define STATUSBAR_KEY_LEN 10
#define STATUSBAR_MSG_LEN 11

#endif /* ! _INCLUDED_clidefs */
