#line 1 "DRV_ioctl.h"
/* MAGIC # EDT_XYZZY */
#ifndef INCLUDE_DRV_ioctl_h
#define INCLUDE_DRV_ioctl_h

#ifdef __STDC__
#pragma ident "@(#)DRV_ioctl.h	1.45 03/23/98 EDT"
#else
    static char SccsId_DRV_ioctl_h[] = "@(#)DRV_ioctl.h	1.45 03/23/98 EDT" ;
#endif

#define IBUF_BASE 0x2000
 
#ifndef X
#   ifdef _SYS_IOCCOM_H
#       define X       'X'
#   else
#       ifdef __STDC__
#          define X       'X'
#       endif
#   endif
#endif


#define S16S_BURST_SIZE        	_IOW(X, 200, u_short)
#define EDTS_BURST_SIZE        	_IOW(X, 200, u_short)
#define S16G_BURST_SIZE       	_IOR(X, 201, u_short)
#define EDTG_BURST_SIZE       	_IOR(X, 201, u_short)
#define	S16S_DEBUG_LEVEL	_IOW(X, 202, u_short)
#define	EDTS_DEBUG_LEVEL	_IOW(X, 202, u_short)
#define	S16G_DEBUG_LEVEL	_IOR(X, 203, u_short)
#define	EDTG_DEBUG_LEVEL	_IOR(X, 203, u_short)
#define	S16S_DEBUG_INTR		_IOW(X, 204, u_short)
#define	EDTS_DEBUG_INTR		_IOW(X, 204, u_short)
#define	S16G_DEBUG_INTR		_IOR(X, 205, u_short)
#define	EDTG_DEBUG_INTR		_IOR(X, 205, u_short)
#define	S16S_MINPHYS		_IOW(X, 206, u_int)
#define	EDTS_MINPHYS		_IOW(X, 206, u_int)
#define S16G_MINPHYS		_IOR(X, 207, u_int)
#define EDTG_MINPHYS		_IOR(X, 207, u_int)
#define S16G_DONE		_IOR(X, 208, u_int)
#define EDTG_DONE		_IOR(X, 208, u_int)
#define S16G_QUEUE		_IOR(X, 209, u_int)
#define EDTG_QUEUE		_IOR(X, 209, u_int)
#define S16G_AIO_COUNT		_IOR(X, 210, u_int)
#define EDTG_AIO_COUNT		_IOR(X, 210, u_int)
#define S16G_IO_COUNT		_IOR(X, 211, u_int)
#define EDTG_IO_COUNT		_IOR(X, 211, u_int)
#define S16S_DMATHROT           _IOW(X, 212, u_int)
#define EDTS_DMATHROT           _IOW(X, 212, u_int)
#define S16G_DMATHROT           _IOR(X, 213, u_int)
#define EDTG_DMATHROT           _IOR(X, 213, u_int)
#define S16S_MAXDMASIZE         _IOW(X, 214, u_int)
#define EDTS_MAXDMASIZE         _IOW(X, 214, u_int)
#define S16G_MAXDMASIZE         _IOR(X, 215, u_int)
#define EDTG_MAXDMASIZE         _IOR(X, 215, u_int)
#define S16S_TERMINATE		_IO (X, 216)
#define EDTS_TERMINATE		_IO (X, 216)
#define S16_FREE_BUF		_IO (X, 217)
#define EDT_FREE_BUF		_IO (X, 217)
#define S16_KEEP_BUF		_IO (X, 218)
#define EDT_KEEP_BUF		_IO (X, 218)
#define	S16_STARTAIO		_IOW(X, 219, u_int)
#define	EDT_STARTAIO		_IOW(X, 219, u_int)
#define	S16S_NBUFIO		_IOW(X, 220, u_int)
#define	EDTS_NBUFIO		_IOW(X, 220, u_int)
#define	S16G_NBUFIO		_IOR(X, 221, u_int)
#define	EDTG_NBUFIO		_IOR(X, 221, u_int)
#define S16S_EODMA_SIG          _IOW(X, 222, u_short)
#define EDTS_EODMA_SIG          _IOW(X, 222, u_short)
#define S16S_FREEZE		_IO (X, 223)
#define EDTS_FREEZE		_IO (X, 223)
#define S16S_THAW		_IO (X, 224)
#define EDTS_THAW		_IO (X, 224)
#ifdef TRACE
#define S16G_TRACE		_IOWR(X, 225, caddr_t)
#define EDTG_TRACE		_IOWR(X, 225, caddr_t)
#define S16_TRACECLR		_IO (X, 226)
#define EDT_TRACECLR		_IO (X, 226)
#define S16_TRACEMARK		_IO (X, 227)
#define EDT_TRACEMARK		_IO (X, 227)
#endif /* TRACE */
#define S16_NODMASYNC		_IO (X, 228)
#define EDT_NODMASYNC		_IO (X, 228)
#define S16_DMASYNC		_IO (X, 229)
#define EDT_DMASYNC		_IO (X, 229)
#define S16S_ALLOW 		_IOW(X, 230, u_short)
#define EDTS_ALLOW 		_IOW(X, 230, u_short)

/* set read/write timeout */
#define  S16S_RTIMEOUT          _IOW(X, 231, u_short)
#define  EDTS_RTIMEOUT          _IOW(X, 231, u_short)
#define  S16S_WTIMEOUT          _IOW(X, 232, u_short)
#define  EDTS_WTIMEOUT          _IOW(X, 232, u_short)

/* 
 * set short xfer timeout mode 
 * - no error on timeout if set to nonzero
 * this will cause a read or write system call to return xfer size instead
 * of -1 on a timeout, in addition to having the xfer size in 
 * the aio_result structure for asynch i/o
 *
 * if short_xfer > 1, reset timeout on start of each transfer
 * if only set to 1 and R or WTIMEOUT is set, then timeout will
 * only be started when a read or write occurs when I/O is not
 * already in progress. (If a transfer completes and no other asynch
 * request are queued, 	the timeout is cancelled).
 */
#define  S16S_SHORT_XFER	_IOW(X, 233,u_short)
#define  EDTS_SHORT_XFER	_IOW(X, 233,u_short)

/*
 * Driver semaphore implementation.
 */
#define	 S16S_APPBUFS_COMPLETED	_IOW(X, 234, u_int)
#define	 EDTS_APPBUFS_COMPLETED	_IOW(X, 234, u_int)
#define	 S16G_DEVBUFS_COMPLETED	_IOR(X, 235, u_int)
#define	 EDTG_DEVBUFS_COMPLETED	_IOR(X, 235, u_int)
#define	 S16G_DONECOUNT		_IOR(X, 235, u_int)
#define	 EDTG_DONECOUNT		_IOR(X, 235, u_int)
#define  S16S_WAKEUP_DONECOUNT	_IOW(X, 236, u_int)
#define  EDTS_WAKEUP_DONECOUNT	_IOW(X, 236, u_int)
#define  S16S_LOCKSTEP		_IOW(X, 237, u_int)
#define  EDTS_LOCKSTEP		_IOW(X, 237, u_int)

/*
 * return number of bytes transferred
 */
#define	 S16G_BYTECOUNT		_IOR(X, 238, u_int)
#define	 EDTG_BYTECOUNT		_IOR(X, 238, u_int)

/* Late addition to lockstep stuff */
#define  S16_LOCKOFF		_IO (X, 239)
#define  EDT_LOCKOFF		_IO (X, 239)

				     /* 240 is reserved for KATO */

#define  S16S_BYTECOUNT         _IOW(X, 241, u_int)
#define  EDTS_BYTECOUNT         _IOW(X, 241, u_int)
#define  S16S_IGNORE_SIGNALS    _IOW(X, 242, int)
#define  EDTS_IGNORE_SIGNALS    _IOW(X, 242, int)

/* set read/write timeout */
#define  S16G_RTIMEOUT          _IOW(X, 243, u_short)
#define  EDTG_RTIMEOUT          _IOW(X, 243, u_short)
#define  S16G_WTIMEOUT          _IOW(X, 244, u_short)
#define  EDTG_WTIMEOUT          _IOW(X, 244, u_short)

/* set long read/write timeout */
#define  S16S_RLTIMEOUT          _IOW(X, 245, u_long)
#define  EDTS_RLTIMEOUT          _IOW(X, 245, u_long)
#define  S16S_WLTIMEOUT          _IOW(X, 246, u_long)
#define  EDTS_WLTIMEOUT          _IOW(X, 246, u_long)

#define  S16S_AUTO_BYTECOUNT     _IOW(X, 247, u_int)
#define  EDTS_AUTO_BYTECOUNT     _IOW(X, 247, u_int)

#define	 S16G_APPBUFS_COMPLETED	 _IOR(X, 234, u_int)
#define	 EDTG_APPBUFS_COMPLETED	 _IOR(X, 234, u_int)

/* set/get customer requirement flag */
#define  S16S_CUSTOMER           _IOW(X, 181, u_int)
#define  EDTS_CUSTOMER           _IOW(X, 181, u_int)
#define  S16G_CUSTOMER           _IOW(X, 180, u_int)
#define  EDTG_CUSTOMER           _IOW(X, 180, u_int)

/* set association of a buffer address and it's order in ring buffer */
#define  S16S_LSEEK              _IOW(X, 182, u_int *)
#define  EDTS_LSEEK              _IOW(X, 182, u_int *)

/* Have driver avoid dma splits; may be expensive when starting a ring buffer */
#define S16_NODMASPLIT		_IO (X, 183)
#define EDT_NODMASPLIT		_IO (X, 183)
#define S16_DMASPLIT		_IO (X, 184)
#define EDT_DMASPLIT		_IO (X, 184)

/* Internal ring-buffer mode settings (IBUF) */
#define  S16S_IBUF_SIZE		_IOW(X, 199, u_int)
#define  EDTS_IBUF_SIZE		_IOW(X, 199, u_int)
#define  S16G_IBUF_SIZE		_IOR(X, 198, u_int)
#define  EDTG_IBUF_SIZE		_IOR(X, 198, u_int)
#define  S16S_IBUF_NUM		_IOW(X, 197, u_int)
#define  EDTS_IBUF_NUM		_IOW(X, 197, u_int)
#define  S16G_IBUF_NUM		_IOR(X, 196, u_int)
#define  EDTG_IBUF_NUM		_IOR(X, 196, u_int)
#define  S16S_IBUF_DIR		_IOW(X, 195, u_int)
#define  EDTS_IBUF_DIR		_IOW(X, 195, u_int)
#define  S16G_IBUF_DIR		_IOR(X, 194, u_int)
#define  EDTG_IBUF_DIR		_IOR(X, 194, u_int)
#define  S16S_IBUF_MODE		_IOW(X, 193, u_int)
#define  EDTS_IBUF_MODE		_IOW(X, 193, u_int)
#define  S16G_IBUF_MODE		_IOR(X, 192, u_int)
#define  EDTG_IBUF_MODE		_IOR(X, 192, u_int)

/* Set/get recycle_dma mode.  Recycle DMA memory when set, don't
 * free and realloc.
 */
#define  S16S_RECYCLE_DMA	_IOW(X, 191, u_int)
#define  EDTS_RECYCLE_DMA	_IOW(X, 191, u_int)
#define  S16G_RECYCLE_DMA	_IOR(X, 190, u_int)
#define  EDTG_RECYCLE_DMA	_IOR(X, 190, u_int)

#ifdef SYSV
/* 64-bit donecount */
#define  S16G_LLDONECOUNT	_IOR(X, 189, u_longlong_t)
#define  EDTG_LLDONECOUNT	_IOR(X, 189, u_longlong_t)

/* Manual DMA SYNC operations */
#define  S16S_SYNC_RING_BUFFER	_IOW(X, 188, u_int)
#define  EDTS_SYNC_RING_BUFFER	_IOW(X, 188, u_int)
#endif
#define S16_ABORT_CURRENT	_IO(X, 187)
#define EDT_ABORT_CURRENT	_IO(X, 187)
#define S16_ABORT_DMA		_IO(X, 186)
#define EDT_ABORT_DMA		_IO(X, 186)
#define S16G_RFTAB		_IOWR(X, 185, caddr_t)
#define EDTG_RFTAB		_IOWR(X, 185, caddr_t)
#define S16_WAITRDY		_IO(X, 179) 
#define EDT_WAITRDY		_IO(X, 179) 

#define S16G_TEST		_IOR(X, 185, caddr_t)
#define EDTG_TEST		_IOR(X, 185, caddr_t)
#define S16_CLEAR_DONECOUNT     _IO (X, 178)
#define EDT_CLEAR_DONECOUNT     _IO (X, 178)

#define  S16G_LOCKSTEP		_IOR(X, 177, u_int)

#define S16_SHARE_RING_BUFFERS  _IOW(X, 176, u_int)
#define EDT_SHARE_RING_BUFFERS  _IOW(X, 176, u_int)
#define S16_FREE_SHARED_RING_BUFFERS  _IO (X, 175)
#define EDT_FREE_SHARED_RING_BUFFERS  _IO (X, 175)

/* allow short DMA in ring buffer or normal mode */
#define	S16S_SAMPLE_SIZE		_IOW(X, 174, u_int)
#define	EDTS_SAMPLE_SIZE		_IOW(X, 174, u_int)
#define	S16G_SAMPLE_SIZE		_IOR(X, 174, u_int)
#define	EDTG_SAMPLE_SIZE		_IOR(X, 174, u_int)
#define S16_SET_BUFFER  		_IOW(X, 172, int)
#define EDT_SET_BUFFER  		_IOW(X, 172, int)

#endif
