/*                                             -*- c-file-style: "Ellemtel" -*-

`misc.h' - Own versions of xusleep, xstrcasecmp.

This file is part of version 3 of the CFHT Detector Host Command Interface.
Read the `License' file for terms of use and distribution.
Copyright 1998-2001, Canada-France-Hawaii Telescope, daprog@cfht.hawaii.edu.

___This header automatically generated from `Index'. Do not edit it here!___ */

#ifndef _INCLUDED_misc
#define _INCLUDED_misc 1

#include <stdlib.h>
#include <unistd.h>

typedef enum { CHILD_GONE,	/* Child already exited; no exit status available */
	       CHILD_RUNNING,	/* Child still running (only if poll=1) */
	       CHILD_EXITFAIL,	/* Child returned EXIT_FAILURE */
	       CHILD_EXITPASS,	/* Child returned EXIT_SUCCESS */
	       CHILD_EXITSIG,	/* Child exited on a signal */
	       CHILD_ERROR	/* Some other error occurred (e.g., with waitpid) */
             } child_exit_t;

child_exit_t pid_abort(pid_t pid);
/*
 * Sends the TERM signal to pid, waits up to 10 seconds for
 * it to exit, and then sends the KILL signal if it still
 * hasn't gone away.  Return code indicates exit conditions.
 */

child_exit_t pid_wait(pid_t pid, int poll);
/*
 * Waits (indefinitely if poll==0) for pid to exit.  Only way
 * to cancel this wait is to send an interrupt signal (SIGINT)
 * (^C or "abort").  If this happens, pid_wait just returns
 * pid_abort().  Return code indicates exit conditions.
 */

child_exit_t pid_wait_nointr(pid_t pid);
/*
 * Same as pid_wait(pid, 0); but waits indefinitely and doesn't
 * unblock signals.  (Calling code should still block signals first.)
 */

int xstrcasecmp(const char *s, const char *d);
int xstrncasecmp(const char* s, const char* d, size_t l);
#if defined(DARE_TO_MESS_WITH_ALRM) && (defined(SOLARIS) || defined(SUNOS))
#include <unistd.h>
#define xusleep(x) usleep(x)
#else
int xusleep(unsigned int useconds);
#endif
#endif
