#include <stdio.h>
#include <stdlib.h>
#include "fh/fh.h"

   int
   main(int argc, const char* argv[])
   {
      HeaderUnit hu, ehu;
      char extname[FH_MAX_STRLEN+1];
      int i, ext;

      for (i = 1; i < argc; i++)
      {
	 hu = fh_create();
         if (fh_file(hu, argv[i], FH_FILE_RDONLY) != FH_SUCCESS)
            exit(EXIT_FAILURE);

         if (fh_extensions(hu) < 1)
         {
            printf("%s\n", argv[i]); /* No extensions?  Print the filename. */
         }
         else for (ext = 1; ext <= fh_extensions(hu); ext++)
         {
            if (!(ehu = fh_ehu(hu, ext)) ||
   	        fh_get_str(ehu, "EXTNAME", extname, sizeof(extname)) != FH_SUCCESS)
            {
               fprintf(stderr, "error: Cannot read EXTNAME from `%s' for extension #%d\n", argv[i], ext);
               fh_destroy(hu);
               exit(EXIT_FAILURE);
            }
            printf("%s[%s]\n", argv[i], extname);
         }
         fh_destroy(hu); /* No errors to check, since RDONLY */
      }
      exit(EXIT_SUCCESS);
   }
