#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include "fh/fh.h"

#define DO_SLEEP
#define REPEAT 6
int
main(int argc, const char* argv[])
{
   HeaderUnit hu;
   const char* card;
   char name[9];
/*   char comment[80]; */
   int exitcode = EXIT_SUCCESS;
   int lck, i, j;
   int check[65536];

   /*
    * This must be done at the start of the program.  Setting this
    * ensures diagnostic messages will never be buffered as long as
    * you have newlines ('\n') at the end of all your printf()'s.
    */
   if (!isatty(STDOUT_FILENO) && setvbuf(stdout, NULL, _IOLBF, BUFSIZ)!=0)
   {
      perror("setvbuf failed");
   }

   for (i=0; i < REPEAT; i++)
   {
      hu = fh_create();
      memset(check, 0, sizeof(check));
      printf("statusbar: %d fh_file\n", (int)getpid());
      if (fh_file(hu, argv[1], FH_FILE_RDWR) != FH_SUCCESS)
	 exit(EXIT_FAILURE);

      printf("progress: LOCKED %d\n", (int)getpid());
      printf("statusbar: %d fh_first/fh_next\n", (int)getpid());
      lck = 0;
      for (card = fh_first(hu); card; card = fh_next(hu))
      {
	 int newlck;
	 int newpid;

	 if (!strncmp("LCK", card, 3))
	 {
	    newlck = atoi(card + 3);
	    if (newlck <= lck)
	    {
	       fprintf(stderr, "error: lck = %d newlck = %d\n", lck, newlck);
	       exit(EXIT_FAILURE);
	    }
	    sprintf(name, "LCK%d", ++lck);
	    if (fh_get_int(hu, name, &newpid) != FH_SUCCESS)
	       exit(EXIT_FAILURE);
	    check[newpid % 65536]++;
	 }
	 /* printf("%.*s\n", strlen(card)==80?80:79, card);*/
      }
      for (j = 0; j < 65536; j++)
      {
	 switch (check[j])
	 {
	    case 0: if (j == (getpid() % 65536) && i != 0)
	    {
	       fprintf(stderr, "error: check[j] = 0, i = %d\n", i);
	       exit(EXIT_FAILURE);
	    }
	    case (REPEAT): break;
	    default:
	    {
	       if (j == (getpid() % 65536))
	       {
		  if (check[j] != i)
		  {
		     fprintf(stderr, "error: check[j] = %d, i = %d\n", check[j], i);
		     exit(EXIT_FAILURE);
		  }
	       }
	       else
	       {
		  if (check[j] < REPEAT)
		  {
		     fprintf(stderr, "warning: PID %d has inserted %d/%d cards\n",
			     j, check[j], REPEAT);
		  }
		  else
		  {
		     fprintf(stderr, "error: PID %d has inserted %d cards\n",
			     j, check[j]);
		  }
	       }
	    }
	 }
      }
      sprintf(name, "LCK%d", ++lck);
      printf("statusbar: %d fh_set_int\n", (int)getpid());
      fh_set_int(hu, FH_AUTO, name, (int)getpid(), "Lock test");
      fprintf(stderr, "status: Setting %s=%d\n", name, (int)getpid());

#define DO_SLEEP
#ifdef DO_SLEEP
      printf("statusbar: %d sleep(1)\n", (int)getpid());
      sleep(1);
#endif
      printf("statusbar: %d fh_rewrite\n", (int)getpid());
      if (fh_rewrite(hu) != FH_SUCCESS) exitcode = EXIT_FAILURE;
      printf("progress:\n"); /* Unlocked */

#ifdef DO_SLEEP
      printf("statusbar: %d sleep(1)\n", (int)getpid());
      sleep(1);
#endif

      printf("statusbar: %d fh_destroy\n", (int)getpid());
      if (fh_destroy(hu) != FH_SUCCESS) exitcode = EXIT_FAILURE;
      printf("statusbar:\n");
      if (exitcode != EXIT_SUCCESS) exit(exitcode);
   }
   printf("statusbar: %d exit(%d)\n", (int)getpid(), exitcode);
   exit(exitcode);
}
