/* Copyright (C) 1991, 94    Canada-France-Hawaii Telescope Corp.        */
/* This program is distributed WITHOUT any warranty, and is under the    */
/* terms of the GNU General Public License, see the file COPYING    */
/*!****************************************************************************
* FILE
* cfht_doupper.c
* $Header: cfht_doupper.c,v 1.3 96/11/19 22:45:07 isani Exp $
* $Locker:  $
*
* ROUTINES
*
* cfht_doupper()
*    This routine will convert any lowercase letter in the argument to
*    uppercase, leaving all others untouched.  The conversion is performed
*    in place.
*
*    INVOKED
*    ptr_to_str = cfht_doupper(str);
*
*    PARAMETERS IN
*    char *str - pointer to string which will be converted
*
*    PARAMETERS OUT
*    NONE
*
*    FUNCTION RETURNS
*    char * - pointer to converted string
*
*    GLOBALS
*    NONE
*
* HISTORY
* who          when            what
* ---------    ------------    ----------------------------------------------
* ???          ??????          original coding
* jrw          14 Feb 1991     check for null pointer, sun port
*
* $Log:	cfht_doupper.c,v $
 * Revision 1.3  96/11/19  22:45:07  isani
 * cleaned up rcsid
 * 
 * Revision 1.2  1994/12/14  11:08:26  thomas
 * Added #ifdef __LINT__ around RCS header
 *
 * Revision 1.1  91/09/24  16:17:08  16:17:08  steve (Steven Smith)
 * Initial revision
 * 
*
****************************************************************************!*/

#include <ctype.h>
#include <stdio.h>

#include "cfht.h"

RCSID("$Header: cfht_doupper.c,v 1.3 96/11/19 22:45:07 isani Exp $");

char *cfht_doupper(str)
char *str;
{
    register char *p;

    if (!str)
        return(NULL);

    for(p=str ; *p ; p++)
        if (islower(*p))
            *p = toupper(*p); 

    return(str);
}
