/* Copyright (C) 1991, 94    Canada-France-Hawaii Telescope Corp.        */
/* This program is distributed WITHOUT any warranty, and is under the    */
/* terms of the GNU General Public License, see the file COPYING    */
/*!****************************************************************************
* FILE
* cfht_gdata.c
* $Header: cfht_gdata.c,v 1.2 94/12/14 11:25:05 thomas Exp $
* $Locker:  $
*
* ROUTINES
*
* [none]
*    This file contains global variables used in various places in the
*    cfht library.
*
*    INVOKED
*    NONE
*
*    PARAMETERS IN
*    NONE
*
*    PARAMETERS OUT
*    NONE
*
*    FUNCTION RETURNS
*    NONE
*
*    GLOBALS
*    int cfht_errno - same as errno, but for local use
*
* HISTORY
* who          when            what
* ---------    ------------    ----------------------------------------------
* jrw          27 Sep 1990     Original coding
* jrw          11 Oct 1990     added range checking structures
*
* $Log:	cfht_gdata.c,v $
 * Revision 1.2  94/12/14  11:25:05  11:25:05  thomas (Jim Thomas)
 * Changed cfht/cfht.h to cfht.h
 * 
 * Revision 1.1  91/09/24  16:53:58  16:53:58  steve (Steven Smith)
 * Original checkin
 * 
*
****************************************************************************!*/

#include "cfht.h"		  /* libcfht defines */

/*********************
 * global references *
 *********************/

int cfht_errno = 0;

/*
 * Predefined ranges for routines in cfht_number.
 * First declare and initialize the union, then declare and initialize
 * a pointer to this union.
 */
struct cfht_rng_double cfht_rng_ra = { 0.0, 24.0, TRUE, FALSE };
union cfht_ranges *CFHT_RNG_RA = (union cfht_ranges *)&cfht_rng_ra;

struct cfht_rng_double cfht_rng_dec = { -90.0, 90.0, TRUE, TRUE };
union cfht_ranges *CFHT_RNG_DEC = (union cfht_ranges *)&cfht_rng_dec;

