/* Copyright (C) 1994-1999    Canada-France-Hawaii Telescope Corp.       */
/* This program is distributed WITHOUT any warranty, and is under the    */
/* terms of the GNU General Public License, see the file COPYING         */
/*****************************************************************************
 *
 * file: cfht_log.h
 * $Header: /cfht/src/pegasus/libcfht/RCS/cfht_log.h,v 1.5 2003/03/09 20:40:54 isani Exp $
 * $Locker:  $
 *
 * This file defines internal logging parameters.
 *
 *
 * $Log: cfht_log.h,v $
 * Revision 1.5  2003/03/09 20:40:54  isani
 * Added defines for system log type strings.
 *
 * Revision 1.4  2002/01/23 16:13:03  isani
 * Added _SIZE definitions for color escape sequences and PID.
 *
 * Revision 1.3  99/02/10  13:15:36  thomas
 * Back to cfht.h this is internal
 * 
 * Revision 1.2  94/12/14  11:48:46  11:48:46  thomas (Jim Thomas)
 * Changed cfht.h back to cfht/cfht.h for include file
 * 
 * Revision 1.1  94/09/20  18:45:02  18:45:02  thomas (Jim Thomas)
 * Original check in
 * 
 ****************************************************************************/

#ifndef CFHT_LOGDOTH
#define CFHT_LOGDOTH

#include "cfht.h"

/*
 * Type string prefixes for the system log.
 */

#define CFHT_LOGS_TYPESTRING_START ", (start) - "
#define CFHT_LOGS_TYPESTRING_STATUS ", (status) - "
#define CFHT_LOGS_TYPESTRING_LOGONLY ", (log only) - "
#define CFHT_LOGS_TYPESTRING_WARN ", (warning) - "
#define CFHT_LOGS_TYPESTRING_ERROR ", (error) - "
#define CFHT_LOGS_TYPESTRING_DONE ", (done) - "
#define CFHT_LOGS_TYPESTRING_DEBUG ", (debug) - "
#define CFHT_LOGS_TYPESTRING_TIMING ", (timing) - "

/*
 * define lengths of the different parts of a log message
 */

#define CFHT_LOG_NAME_SIZE 40	  /* home directory of operator */
/* larger of date and time fields */
#define CFHT_LOG_TIME_SIZE ((CFHT_DATE_SIZE > CFHT_TIME_SIZE \
			     ? CFHT_DATE_SIZE : CFHT_TIME_SIZE) - 1)
#define CFHT_LOG_TYPE_SIZE 20	  /* longest type field name */
#define CFHT_LOG_ID_SIZE 80	  /* longest allowable program identification */
#define CFHT_LOG_PID_SIZE 16      /* Space for the PID in parens (%d) */
#define CFHT_LOG_MESSAGE_SIZE 1024 /* space for message itself */
#define CFHT_LOG_TAIL_SIZE 80	  /* longest tackon - times, period, newline */
/* the whole thing */
#define CFHT_LOG_COLOR_SIZE 80	  /* space for color escape sequences or
				   * director "\rerror:" "\rwarning:" etc.
				   */
#define CFHT_LOG_BUFFER_SIZE (CFHT_LOG_NAME_SIZE + 1 \
                              + CFHT_LOG_TIME_SIZE + CFHT_LOG_TYPE_SIZE \
                              + CFHT_LOG_ID_SIZE + CFHT_LOG_PID_SIZE + 2 \
			      + CFHT_LOG_MESSAGE_SIZE \
                              + CFHT_LOG_TAIL_SIZE + CFHT_LOG_COLOR_SIZE + 1 )

#endif /* CFHT_LOGDOTH */
