/* Copyright (C) 1991, 94    Canada-France-Hawaii Telescope Corp.        */
/* This program is distributed WITHOUT any warranty, and is under the    */
/* terms of the GNU General Public License, see the file COPYING    */

/*!****************************************************************************
* FILE
*
* $Header: exp_isfake.c,v 1.3 96/11/19 22:53:23 isani Exp $
* $Locker:  $
*
* ROUTINES
*
* exp_isfake()
*    will return TRUE if detector ends in the string "fake"
*
*    INVOKED
*    flag = exp_isfake(detector);
*
*    PARAMETERS IN
*    char *detector - name of detector in question
*
*    PARAMETERS OUT
*    none
*
*    FUNCTION RETURNS
*    TRUE if fake detector, otherwise FALSE
*
*    GLOBALS
*    none
*
* HISTORY
* $Log:	exp_isfake.c,v $
 * Revision 1.3  96/11/19  22:53:23  isani
 * cleaned up rcsid
 * 
 * Revision 1.2  1994/12/14  17:37:45  thomas
 * Added RCS header
 * Changed cfht/cfht.h to cfht.h, cfht/states.h to states.h
 *
 * Revision 1.1  94/01/20  04:53:09  04:53:09  jwright (Jim Wright)
 * Initial revision
 * 
****************************************************************************!*/

#include "cfht.h"		  /* libcfht defines */
#include "states.h"		  /* exposure states */

RCSID("$Header: exp_isfake.c,v 1.3 96/11/19 22:53:23 isani Exp $");

BOOLEAN exp_isfake(det)
char *det;
{
    char *p;

    if (!det)
        return(FALSE);

    /* find end of string */
    for (p=det ; *p ; p++)
        ;

    if (*--p == 'e' && *--p == 'k' && *--p == 'a' && *--p == 'f')
        return(TRUE);
    else
        return(FALSE);
}
