/* Copyright (C) 1991, 94    Canada-France-Hawaii Telescope Corp.        */
/* This program is distributed WITHOUT any warranty, and is under the    */
/* terms of the GNU General Public License, see the file COPYING    */
/***********************************************************************
 * file: genh.h
 * $Header: genh.h,v 1.4 2000/05/24 20:10:47 isani Exp $
 * $Locker:  $
 *
 * This file contains the defines, etc. needed for using the generic 
 * handler routines.
 *
 * sss 082189 original
 *
 * $Log:	genh.h,v $
 * Revision 1.4  2000/05/24  20:10:47  isani
 * Changed <cfht/cfht.h> to "cfht.h" (works even when installed if gcc -I. used)
 * 
 * Revision 1.3  96/11/19  22:55:05  isani
 * added protos for beginfits(), endfits(), init(), otheropts(), cleanup(),
 *                  reset(), status(), and sendServiceCommand()
 * added defines for some missing GENH_* strings
 * 
 * Revision 1.2  1994/12/14  17:49:02  thomas
 * Just changed copyright date
 *
 * Revision 1.1  91/09/24  17:52:30  17:52:30  steve (Steven Smith)
 * Original checkin
 * 
 ***********************************************************************/

#ifndef GENHDOTH
#define GENHDOTH

#include "cfht.h"		  /* for P macro */

#define GENH_BEGINFITS_ARG    "Beginfits"
#define GENH_ENDFITS_ARG      "Endfits"
#define GENH_HELP_ARG         "Help"
#define GENH_RESET_ARG        "Reset"
#define GENH_STATUS_ARG       "Status"
#define GENH_VERBOSE_ARG      "Verbose"
#define GENH_SINIT_ARG        "sinitialize"
#define GENH_SRESET_ARG       "sreset"
#define GENH_SSHUTDOWN_ARG    "sshutdown"
#define GENH_SINTERRUPT_ARG   "sinterrupt"
#define GENH_STEXTMSG_ARG     "stextmsg"
#define GENH_SSTATUS_ARG      "sstatus"
#define GENH_SECHO_ARG        "secho"
#define GENH_SERVICE_ARG      "service"
#define GENH_SFAKE_ARG        "sfake"
#define GENH_STIMEOUT_ARG     "stimeout"
#define GENH_DOJOBLOCAL_ARG   "dojoblocal"
#define GENH_SBUSYRETRIES_ARG "sbusyretries"
#define GENH_SDEBUG_ARG       "sdebug"

extern int ClientServer;

/* function prototypes */

/* routines that the handler utility code must provide */

PASSFAIL beginfits P((FILE_ID id));
PASSFAIL endfits P((FILE_ID id));
PASSFAIL init P((FILE_ID id));
PASSFAIL otheropts P((FILE_ID id));
PASSFAIL cleanup P((FILE_ID id));
PASSFAIL reset P((FILE_ID id));
PASSFAIL status P((FILE_ID id));

/* the following should be called by the above routines to actually send */
/* a textmessage message off to the server */
char *sendServiceCommand P((char *cmd, int timeout));

#endif /* GENHDOTH */
