/****************************************************************************
    Copyright (C) 1991-2001    Canada-France-Hawaii Telescope Corp.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact information:
    CFHT, PO Box 1597, Kamuela, HI 96743, USA
    daprog@cfht.hawaii.edu

****************************************************************************/
/**************************************************************
 * $Id: genhmain.h,v 1.5 2001/03/14 18:20:20 thomas Exp $
 * $Locker:  $
 * This include file implements the main routine for the
 * cfht_genh() routine.  Since it is in a library, it can't be main.
 * include this file in ONE of your utility files
 *
 * sss        19 Jul 1988    include version
 *
 * $Log: genhmain.h,v $
 * Revision 1.5  2001/03/14 18:20:20  thomas
 * Removed rcs_id, made it compile with gcc
 *
 * Revision 1.4  2000/05/24 20:11:45  isani
 * Changed <cfht/exits.h> and <cfht/states.h> to "exits.h" and "states.h"
 * This works even when installed if "gcc -I." is used.
 *
 * Revision 1.3  94/12/14  17:51:37  thomas
 * Added #ifdef __LINT__ around RCS headers
 * 
 * Revision 1.2  92/10/15  10:25:16  10:25:16  jwright (Jim Wright)
 * addition of global variable "progname" so handlers can know who they are
 * 
 * Revision 1.1  91/09/24  17:52:55  17:52:55  steve (Steven Smith)
 * Original checkin
 * 
 **************************************************************/

#ifndef MAINDOTH
#define MAINDOTH

#include "cfht.h"
#include "exits.h"
#include "states.h"

int main P((int argc, char **argv, char **envp));

/* RCSID("$Id: genhmain.h,v 1.5 2001/03/14 18:20:20 thomas Exp $"); since this is a .h the caller should have their own */

char *progname;			  /* global, filled in by cfht_genh */

int main(argc, argv, envp)
    int argc;			  /* number of parameters */
    char **argv;		  /* list of parameter strings */
    char **envp;		  /* list of environment strings */
{
    cfht_genh(argc, argv, envp);  /* never returns */
    exit(EXIT_PASS);
}

#endif /* MAINDOTH */
