/*
 * Test program to be called by cfht_exec()
 *
 * Arguments are:
 *    seconds to sleep before exiting
 *    desired exit code (should be number or exits.h name, but this is a hack)
 *
 *  e.g.,
 *    ./execee 2 0
 *  for sleep 2 seconds then exit EXIT_PASS
 */

#include <stdio.h>		  /* for printf */
#include <stdlib.h>		  /* for strtol */
#include <unistd.h>		  /* for sleep */

#include "cfht.h"		  /* just because */
#include "exits.h"		  /* for exit codes */

int main (int argc, char *argv[])
{
    long SleepTime;		  /* How long to wait before hitting back */
    long ExitCode;		  /* What value to return */
    char *End;			  /* end of strtol conversion */
    
    if (argc != 3) {
	printf("usage: ./execee <sleeptime> <exitcode>\n");
	exit(EXIT_FAIL);
    }

    SleepTime = strtol(argv[1], &End, 0);
    if (*End != '\0') {
	printf("usage: ./execee <integer> <integer>\n");
	exit(EXIT_FAIL);
    }
    if (SleepTime < 0) {
	printf("usage: ./execee <non-negative int> <integer>\n");
	exit(EXIT_FAIL);
    }

    ExitCode = strtol(argv[2], &End, 0);
    if (*End != '\0') {
	printf("usage: ./execee <integer> <integer>\n");
	exit(EXIT_FAIL);
    }

    if (SleepTime > 0) {
	(void) sleep(SleepTime);
    }

    return(ExitCode);
}
