/*
 * Check_parse.c - test cfp_parse()
 *
 * This program calls cfp_parse() once, thus generating a version of the .par
 * file modified by any arguments it was passed.  This should be called with
 * whatever command line arguments are to be tested on this run.  This program
 * is not the one that makes sure the current value is right compared to
 * default/supplied/argument.  All it does is call cfp_parse().
 * 
 * There must be a .par file named Check_parse.par (unless of course you stuff
 * this into some other executable name :-)
 *
 * CFHTLOGS and CFHTLOGU are expected to be undefined (though this doesn't
 * care).
 */

#include <stdio.h>
#include "cfht.h"
#include "cfp.h"
#include "exits.h"

main (argc, argv)
    int argc;
    char *argv [];
{
    FILE_ID id;			  /* index returned by parse */

    if ((id = cfp_parse(CFP_PAR, argc, argv)) == FAIL) {
	return(EXIT_FAIL);
    }
    return(EXIT_PASS);
}
