#! /bin/sh

Log=./LogFile-.par
unset CFHTLOGU
CFHTLOGS=$Log;export CFHTLOGS
unset CFHTDEBUG CFHTLIBCFP CFHTLIB

#
# function to run one file past ReadWriteOne and diff the result
#
DoOne ()
{
  Base=`basename $1`
  cp $1 $Base.ORIG
  chmod 644 $Base.ORIG
  cp $Base.ORIG $Base
  echo "=========================================================" >>$Log
  echo "  running $1 as $Base" >>$Log
  echo "  running $1 as $Base"
  echo "---------------------------------------------------------" >>$Log
  ./ReadWriteOne $Base >>$Log 2>&1
  Status=$?
  if [ $Status -gt 127 ]
    then
      echo "@@@@@@@@@@@@@@@@@@@ BOMB @@@@@@@@@@@@@@@" >>$Log
      exit 1
    fi
  echo "---------------------------------------------------------" >>$Log
  diff -bwit $Base.ORIG $Base >>$Log
  /bin/rm -f $Base.ORIG $Base
}

make -k ReadWriteOne >$Log 2>&1

#
# first do .,config - it is off by itself
#
DoOne $cfhtdir/dev/pegasus/observer/FILES/.,config
echo "##########################################################" >>$Log

#
# then do all the par files in two steps
#   first find all the conf directories
#   then for each directory find all the par files
#
for dir in `remsh saturn -n find $cfhtdir/dev -name conf -print | grep -v /epeus/ | grep -v "^$cfhtdir/dev/conf\$" | sort`
  do
    wholedir=$dir
    echo starting $wholedir >>$Log
    echo starting $wholedir
    for i in `remsh saturn -n "find $wholedir -name '*.par' -print | grep -v RCS | grep -v uparm | sort"`
      do
	DoOne $i
      done
    echo "##########################################################" >>$Log
  done

/bin/rm -f ReadWriteOne
