/*
 * ReadWriteOne.c - read in one par/config file with parse
 *
 * This program is used to make sure that we can read all the .par and config
 * files.  Its expected environment is that the calling shell script has
 * copied a .par file into the current directory from /users/observer and make
 * a backup copy for diff'ing after this is run.  It also expects that the
 * logging is set up locally to a debug file.
 */

#include "cfht.h"
#include "cfp.h"
#include "exits.h"

main (argc, argv)
    int argc;
    char *argv [];
{
    FILE_ID id;
    PASSFAIL Status;

    if (argc != 2) {
	printf("usage: %s <.par file name>\n", argv[0]);
	exit(EXIT_FAIL);
    }

    cfht_log(CFHT_MAIN, CFHT_LOG_ID, "-");
    
    id = cfp_init(argv[1]);
    if (id == FAIL)
      exit(EXIT_FAIL);
    else {
	Status = cfp_putf(id);
	if (Status != PASS)
	  exit(EXIT_FAIL);
	else
	  exit(EXIT_PASS);
    }
    /*NOTREACHED*/
}
