/****************************************************************************
    Copyright (C) 1991	Canada-France-Hawaii Telescope Corp.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact information:
    CFHT, PO Box 1597, Kamuela, HI 96743, USA
    daprog@cfht.hawaii.edu

****************************************************************************/
#include <cfht/cfht.h>
#include <stdio.h>
#include <cfht/exits.h>

main(argc,argv)
int argc;
char *argv[];
{
	int year, month, day, hour, minute;
	double mjd, jd, sec, atof();

	if (argc != 2) {
		fprintf(stderr, "usage: from-mjul juliandate\n");
		exit(EXIT_FAIL);
	}

	mjd = atof(argv[1]);
	jd = mjd + 2400000.5;
	cfht_fromjulian(jd, &year, &month, &day, &hour, &minute, &sec);

	printf("%.7f yields %d %02d %02d %02d %02d %05.2lf (UT)\n",
		mjd, year, month, day, hour, minute, sec);
}
