/* test cfht_etimer */

#include <stdio.h>
#include <time.h>
#ifdef sun4m
#include <sys/time.h>
#endif
#ifdef sun4e
#include <sys/time.h>
#endif
#include <math.h>

#include "../cfht.h"

#define uSecPerSec 1000000.0

int main ()
{
    double Delta;
    struct timeval TimeOut;
    int fdCount;

    Delta = cfht_etimer(TRUE);
    sleep(5);
    Delta = cfht_etimer(FALSE);
    if (fabs((Delta / uSecPerSec) - 5.0) > 0.01) {
	printf("5 second sleep won %f delta\n", (Delta / uSecPerSec));
    }
    sleep(5);
    Delta = cfht_etimer(TRUE);
    if (fabs((Delta / uSecPerSec) - 10.0) > 0.01) {
	printf("additional 5 second sleep won %f delta\n", (Delta / uSecPerSec));
    }

    TimeOut.tv_sec = 0;
    TimeOut.tv_usec = 50000;
    fdCount = select((FDCOUNT) 0, (FDPTR) NULL, (FDPTR) NULL, (FDPTR) NULL,
		     &TimeOut);
    Delta = cfht_etimer(TRUE);
    if (fabs((Delta / uSecPerSec) - 0.05) > 0.01) {
	printf("50 millisecond sleep won %f delta\n", (Delta / uSecPerSec));
    }
    return(0);
}
