/****************************************************************************
    Copyright (C) 1991	Canada-France-Hawaii Telescope Corp.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact information:
    CFHT, PO Box 1597, Kamuela, HI 96743, USA
    daprog@cfht.hawaii.edu

****************************************************************************/
#include <cfht/cfht.h>
#include <stdio.h>
#include <cfht/exits.h>

main(argc,argv)
int argc;
char *argv[];
{
	int year, month, day, hour, minute;
	double sec, atof();

	if (argc != 7) {
		fprintf(stderr, "usage: to-mjul yyyy mm dd hh mm ss.ss\n");
		exit(EXIT_FAIL);
	}

	year = atoi(argv[1]);
	month = atoi(argv[2]);
	day = atoi(argv[3]);
	hour = atoi(argv[4]);
	minute = atoi(argv[5]);
	sec = atof(argv[6]);

	printf("%.7f from %d %d %d %d %d %.2f (UT)\n",
		cfht_julian(year,month,day,hour,minute,sec)-2400000.5,
		year,month,day,hour,minute,sec);
}
